%define name	musescore
%define srcname	MuseScore
%define smname	mscore
%define major	2.1
%define version	2.1

Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Summary:	Free music composition and notation software
License:	GPL
Group:		Sound
URL:		http://www.musescore.org/
BuildRoot:	%{_tmppath}/%{name}-root
Source:		https://github.com/musescore/MuseScore/archive/%{srcname}-%{version}.tar.xz

BuildRequires:	lib64alsa2-devel
BuildRequires:	cmake
BuildRequires:	cmake-qtgui
BuildRequires:	lib64lame0-devel
BuildRequires:	latex2html
BuildRequires:	lib64portaudio-devel
BuildRequires:	lib64jack-devel
BuildRequires:	lib64qt5scripttools-devel
BuildRequires:	lib64sndfile-devel
BuildRequires:	lib64ogg-devel
BuildRequires:	lib64vorbis0-devel
BuildRequires:	lib64pulseaudio-devel
BuildRequires:	lib64qt5qgsttools_p-devel
BuildRequires:	lib64qt5designer-devel
BuildRequires:	lib64qt5help-devel
BuildRequires:	lib64qt5multimedia-devel
BuildRequires:	lib64qt5platformsupport-devel
BuildRequires:	lib64qt5quickwidgets-devel
BuildRequires:	lib64qt5svg-devel
BuildRequires:	lib64qt5test-devel
BuildRequires:	lib64qt5webkit-devel
BuildRequires:	lib64qt5webkitwidgets-devel
BuildRequires:	lib64qt5x11extras-devel
BuildRequires:	lib64qt5xmlpatterns5-devel
BuildRequires:	qttools5-assistant
BuildRequires:	lib64qt5base5-devel
BuildRequires:	qtdoc5
BuildRequires:	lib64qt5imageformats-devel
BuildRequires:	doxygen

Requires:		lame
Requires:		lib64sndfile1
Requires:		lib64qt5-database-plugin-sqlite
Requires:		qtwebkit5
Requires:		qtquickcontrols5
Requires:		lib64qt5qml5

Obsoletes:		mscore

%description
MuseScore is a free cross platform WYSIWYG music notation program, licenced
under GNU GPL. Some highlights:

    * WYSIWYG, notes are entered on a "virtual note sheet"
    * Unlimited number of staves
    * Up to four voices per staff
    * Easy and fast note entry with mouse, keyboard or MIDI
    * Integrated sequencer and FluidSynth software synthesizer
    * Import and export of MusicXML and Standard MIDI Files (SMF)
    * Platform independent code, binaries available for Linux and Windows
    * Available in ten languages
    * GNU GPL licenced

%prep
%setup -q -n %{srcname}-%{version}

%build

#unfortunately /usr/local seems hardcoded throughout
sed -i s/'usr\/local'/'usr'/	\
CMakeLists.txt				\
Makefile					\
mtest/config.h				\
omr/ocr.cpp					\
build/UsePkgConfig1.cmake	\
build/FindLame.cmake		\
build/FindPulseAudio.cmake	\
build/package_mac			\
thirdparty/portmidi/pm_mac/Makefile.osx						\
thirdparty/portmidi/pm_mac/pm_mac.xcodeproj/project.pbxproj	\
mtest/libmscore/splitstaff/splitstaff01.mscx				\
mtest/libmscore/join/join0*.mscx							\
mtest/libmscore/tuplet/tuplet1.mscx							\
mtest/libmscore/copypaste/copypaste*.mscx					\
mscore/exportmp3.cpp	\
test/ntest/slur.mscx	\
test/ntest/tie.mscx		\
test/stafftest.mscx

sed -i s/'set(BUILD_PCH true)'/'set(BUILD_PCH false)'/ CMakeLists.txt
sed -i 's|\&\& update-mime-database "\${PREFIX}\/share\/mime" \\|\\|' Makefile
sed -i 's|\&\& gtk-update-icon-cache -f -t "\${PREFIX}\/share\/icons\/hicolor"|\\|' Makefile

%cmake \
  -DCMAKE_INSTALL_PREFIX=%{_prefix} \
  -DCMAKE_BUILD_TYPE=Release
%make
make doxy

%install
%makeinstall DESTDIR=%{buildroot} UPDATE_CACHE=FALSE

#new style menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{smname}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=MuseScore
Comment=%{summary}
Exec=%{smname} -w
Icon=%{smname}
Terminal=false
Type=Application
StartupNotify=true
MimeType=application/x-%{smname};
Categories=Audio;X-MandrivaLinux-Multimedia-Sound
EOF

#new style mime-type
mkdir -p %{buildroot}%{_datadir}/mime/packages
cat > %{buildroot}%{_datadir}/mime/packages/%{smname}.xml <<EOF
<?xml version="1.0"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="application/x-mscore">
    <comment>mscore file</comment>
    <glob pattern="*.mscx, *.mscz, *.msc"/>
     <magic priority="60">
       <match value="museScore" type="string" offset="20:140"/>
     </magic>
  </mime-type>
</mime-info>
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{smname}
%{_bindir}/%{name}
%{_datadir}/applications/%{smname}.desktop
%{_datadir}/mime/packages/%{smname}.xml
%{_datadir}/mime/packages/%{name}.xml
%dir %{_datadir}/%{smname}-%{major}
%{_datadir}/%{smname}-%{major}/*
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_mandir}/man1/mscore.1.bz2


%changelog
* Tue Apr 27 2017 Q <Q> 2.1.0-1pclos2017
- new version

* Sat May 28 2016 ghostbunny <ghostbunny at gmx dot de> 2.0.3-1pclos2016
- 2.0.3
- add BR doxygen that is required for the doxy target

* Thu Mar 31 2016 bb <bb> 2.0.2-2pclos2016
- update

* Tue Jul 21 2015 gseaman <galen.seaman at comcast.net> 2.0.2-1gseaman2015
- 2.0.2

* Tue Jun 30 2015 gseaman <galen.seaman at comcast.net> 2.0.1-2gseaman2015
- 2.0.1-2
- add Requires: qtquickcontrols5 %{_lib}qt5qml5

